Perl 6 - the future is here, just unevenly distributed

IRC log for #pr-challenge, 2018-01-14

| Channels | #pr-challenge index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
09:33 gansh1 joined #pr-challenge
11:07 neilb joined #pr-challenge
11:44 neilb joined #pr-challenge
17:33 dod joined #pr-challenge
17:38 dod joined #pr-challenge
21:23 choroba joined #pr-challenge
21:30 choroba oalders: Hi, I got your ElasticsearchX::Model for January and I'm having problems building it or installing via the standard cpan client. It seems to depend on Search::Elasticsearch::Bulk and ::Scroll which don't exist anywhere.
21:42 choroba they seem to replaced by Search::Elasticsearch::Client::6_0::Bulk and Scroll, respectively
21:42 choroba I'm not sure what version to add, though, as Client exists with 1_0 to 6_0
21:44 preaction is there a way to detect the version of elastic and pick the right client?
21:45 choroba I'm not sure, I don't use elastic myself
21:45 choroba but the tests seem to fail with anything but 6_0
21:45 preaction so, that'd be a thing to look for
21:45 choroba Similarly to https://www.cpantesters.org/distro/E/ElasticSearchX-Model.html?oncpan=1&distmat=1&version=1.0.2&grade=3
21:45 preaction alright, so it needs Elastic 6. probably should add that to the docs
21:46 choroba it probably needs the highest version installed
21:47 choroba because some of the reports mention 5_0
21:47 preaction i mean, you're taking it from broken to working, so i'd say just make it use 6_0 and document what it's doing
21:50 choroba hmmm, ok
21:50 choroba thanks for reacting to my "thinking aloud"
23:28 neilb_ joined #pr-challenge

| Channels | #pr-challenge index | Today | | Search | Google Search | Plain-Text | summary